package v1

import (
	"git.mowie.cc/konrad/Library/models"
	"github.com/labstack/echo"
	"net/http"
)

type bookPayload struct {
	Book models.Book `json:"book" form:"book"`
}

// BookAdd is the handler to add a book
func BookAdd(c echo.Context) error {
	// Check for Request Content
	b := new(bookPayload)
	if err := c.Bind(b); err != nil {
		return c.JSON(http.StatusBadRequest, models.Message{"No book model provided"})
	}

	// Insert the book
	newBook, err := models.AddBook(b.Book)

	if err != nil {
		return c.JSON(http.StatusInternalServerError, models.Message{"Error"})
	}

	return c.JSON(http.StatusOK, newBook)
}
